net.minecraft.stats

## Class StatFileWriter

- java.lang.Object
- - net.minecraft.stats.StatFileWriter

- Direct Known Subclasses:
    StatisticsFile

      public class StatFileWriter
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.util.Map` | `field_150875_a`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `StatFileWriter()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `canUnlockAchievement(Achievement par1Achievement)`
    `IJsonSerializable` | `func_150870_b(StatBase p_150870_1_)`
    `void` | `func_150871_b(EntityPlayer p_150871_1_, StatBase p_150871_2_, int p_150871_3_)`
    `IJsonSerializable` | `func_150872_a(StatBase p_150872_1_, IJsonSerializable p_150872_2_)`
    `void` | `func_150873_a(EntityPlayer p_150873_1_, StatBase p_150873_2_, int p_150873_3_)`
    `int` | `func_150874_c(Achievement p_150874_1_)`
    `boolean` | `hasAchievementUnlocked(Achievement par1Achievement)`
    `int` | `writeStat(StatBase par1StatBase)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### field_150875_a

          protected final java.util.Map field_150875_a

  - ### Constructor Detail

    - #### StatFileWriter

          public StatFileWriter()

  - ### Method Detail

    - #### hasAchievementUnlocked

          public boolean hasAchievementUnlocked(Achievement par1Achievement)

    - #### canUnlockAchievement

          public boolean canUnlockAchievement(Achievement par1Achievement)

    - #### func_150871_b

          public void func_150871_b(EntityPlayer p_150871_1_,
                           StatBase p_150871_2_,
                           int p_150871_3_)

    - #### func_150874_c

          public int func_150874_c(Achievement p_150874_1_)

    - #### func_150873_a

          public void func_150873_a(EntityPlayer p_150873_1_,
                           StatBase p_150873_2_,
                           int p_150873_3_)

    - #### writeStat

          public int writeStat(StatBase par1StatBase)

    - #### func_150870_b

          public IJsonSerializable func_150870_b(StatBase p_150870_1_)

    - #### func_150872_a

          public IJsonSerializable func_150872_a(StatBase p_150872_1_,
                                        IJsonSerializable p_150872_2_)